QCA 2.3.5-GCCcore-11.2.0

Taking a hint from the similarly-named Java Cryptography Architecture, QCA aims to provide a straightforward and cross-platform crypto API, using Qt datatypes and conventions. QCA separates the API from the implementation, using plugins known as Providers. The advantage of this model is to allow applications to avoid linking to or explicitly depending on any particular cryptographic library. This allows one to easily change or upgrade crypto implementations without even needing to recompile the application! QCA should work everywhere Qt does, including Windows/Unix/MacOSX.

Accessing QCA 2.3.5-GCCcore-11.2.0

To load the module for QCA 2.3.5-GCCcore-11.2.0 please use this command on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs):

module load QCA/2.3.5-GCCcore-11.2.0

BEAR Apps Version

2019b

More Information

For more information visit the QCA website.

Dependencies

This version of QCA has a direct dependency on: GCCcore/11.2.0 Qt5/5.15.2-GCCcore-11.2.0

Required By

This version of QCA is a direct dependent of: QGIS/3.28.1-foss-2021b

Last modified on 5th February 2023